[tool.poetry]
name = "ska_low_cbf_net"
version = "0.4.9"
description = "SKA Low CBF Networking Common Library"
authors = ["andrew-bolin <andrew.bolin@csiro.au>", "guillaume-jourjon <guillaume.jourjon@csiro.au>"]
license = "CSIRO Open Source Software Licence"
packages = [{include = "ska_low_cbf_net", from = "src"}]

[tool.poetry.dependencies]
python = "^3.10"
numpy = "^1.19.2"
ansicolors = "^1.1.0"
PyYAML = "^6.0"
prometheus-client = "^0.12.0"
grpcio = "1.47.0"
grpcio-tools = "1.47.0"
googleapis-common-protos = "1.56.0"
protobuf = "3.20.1"
scapy = "^2.4.0"


[tool.poetry.dev-dependencies]
async-packet-test = { url = "https://github.com/CommitThis/async-packet-test/archive/refs/heads/main.zip" }
black = "^22.3.0"
coverage = "^6.1.1"
flake8 = "^4.0.0"
isort = "^5.6.4"
pylint = "^2.11.1"
pylint-junit = "^0.3.2"
junit-xml-2 = "1.9"
pytest = "^7.1.1"
pytest-bdd = "^4.0.1"
pytest-cov = "^2.10.1"
pytest-forked = "^1.3.0"
pytest-json-report = "^1.4.1"
pytest-mock = "^3.6.1"
pytest-repeat = "^0.9.1"
pytest-timeout = "^2.0.1"
pytest-xdist = "^2.4.0"

[tool.poetry.group.docs.dependencies]
Sphinx = "^6.2.1"
PyYAML = "^6.0"
ska-ser-devices = "^0.1.0"
ska-ser-scpi = "^0.4.0"
ska-ser-sphinx-theme = "^0.1.1"
sphinx-rtd-theme = "^1.2.1"
sphinx-autodoc-typehints = "^1.23.0"
transitions = "^0.9.0"
recommonmark = "^0.7.1"

[[tool.poetry.source]]
name = "ska-nexus"
url = "https://artefact.skao.int/repository/pypi-internal/simple"
# priority = "primary"  # TODO - uncomment when poetry upgraded

[[tool.poetry.source]]
name = "PyPI-public"
url = "https://pypi.org/simple"
secondary = true  # TODO - remove when we set SKA nexus as primary

[tool.poetry.scripts]
connector_cli = 'ska_low_cbf_net.connector_cli:launch_cli'

[tool.pytest.ini_options]
markers = [
        "bfrt: tests that require Barefoot Runtime (use '-m \"not bfrt\"' to avoid these)"
]

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 79

[tool.isort]
profile = "black"
line_length = 79
